version: '3'

services:
  postgres:
    image: postgis/postgis:15-3.4-alpine
    restart: always
    environment:
      POSTGRES_USER: ${POSTGRES_USER:-postgres}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-postgres}
    volumes:
      - ./volumes/pgdata:/var/lib/postgresql/data
    ports:
      - '5432:5432'
    networks:
      - postgres

  pgadmin4:
    image: elestio/pgadmin:${PGADMIN_SOFTWARE_VERSION_TAG:-latest}
    restart: always
    environment:
      PGADMIN_DEFAULT_EMAIL: ${PGADMIN_DEFAULT_EMAIL:-pgadmin@pgadmin.org}
      PGADMIN_DEFAULT_PASSWORD: ${PGADMIN_DEFAULT_PASSWORD:-pgadmin}
    volumes:
      - ./volumes/pgadmin:/var/lib/pgadmin
    ports:
      - '${PGADMIN_LISTEN_PORT:-8080}:80'
    networks:
      - postgres

networks:
  postgres:
    driver: bridge
